"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const v4_1 = __importDefault(require("uuid/v4"));
const v5_1 = __importDefault(require("uuid/v5"));
const uuidv4 = function () {
    return v4_1.default();
};
uuidv4.regex = {
    v4: /^(?:[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[a-f0-9]{4}-[a-f0-9]{12})|(?:0{8}-0{4}-0{4}-0{4}-0{12})$/u,
    v5: /^(?:[a-f0-9]{8}-[a-f0-9]{4}-5[a-f0-9]{3}-[a-f0-9]{4}-[a-f0-9]{12})|(?:0{8}-0{4}-0{4}-0{4}-0{12})$/u
};
uuidv4.is = function (value) {
    return uuidv4.regex.v4.test(value) || uuidv4.regex.v5.test(value);
};
uuidv4.empty = function () {
    return '00000000-0000-0000-0000-000000000000';
};
uuidv4.fromString = function (text) {
    const namespace = 'bb5d0ffa-9a4c-4d7c-8fc2-0a7d2220ba45';
    const uuidFromString = v5_1.default(text, namespace);
    return uuidFromString;
};
exports.default = uuidv4;
